Subject: Re: ADS860 - unable to load kernel- Bad magic number

From: Bob Beck <[email-masked]>
Date: 27 Feb 2004 12:22:12 +1400

On Sat, 2004-02-28 at 06:32, Marius Groeger wrote:
> On Thu, 27 Feb 2004, Bob Beck wrote:
>
> >  What is the difference between vmlinux and zImage.embedded ?
>
> vmlinux is the plain kernel ELF image. You can use it to analyse the kernel
> code or symbols, but you cannot boot it as-is.
>
> zImage.embedded is the compressed kernel image plus some glue code used as a
> bridge between the firmware and the kernel.
>

On my proprietary board (PPC 603). I do not have access to flash
so I am loading vmlinux into RAM and jumping to 0x10000. It is
running into problems in mmu_off.

Should I be loading zImage.embedded instead ?

Bob

I can see
> Regards,
> Marius

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/